Subject: Re: bug#35008: sendmail package installs in wrong path

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 26 Mar 2019 20:50:22 +0100

Hi,

On Tue, 26 Mar 2019 14:18:27 -0500
Brant Gardner <[email-masked]> wrote:

> Good afternoon;
> 
> Installing sendmail package as:
> 
> (packages (cons* nss-certs         ;for HTTPS access
>                  ; (several other packages here)
>                  sendmail
>                  %base-packages))
> 
> Results in sendmail installing in this location:
> 
> /gnu/store/b0gmd1ac6np7zgb8hvbfgy45b0haz8xg-sendmail-8.15.2/usr/sbin/sendmail
> 
> But no links for sendmail show up under any user's profile, and asking on #guix seems to
> indicate that sendmail should install under /usr/bin, not /usr/sbin which may be the issue.

What's more important is that it shouldn't have "/usr" (in a way,
"/gnu/store/b0gmd1ac6np7zgb8hvbfgy45b0haz8xg-sendmail-8.15.2" is "/usr" already).

./devtools/M4/UNIX/defines.m4 seems to contain a lot of path definitions but we
don't patch them.  That is definitely incorrect.

confMBINDIR seems to be the variable used for installation (see sendmail/Makefile.m4).

(I have no idea what ${M`'BINDIR}, used in there, does)

As I don't know sendmail (always been a postfix / qmail user), I can't help more than that,
but maybe someone else can adapt and test it.